cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Active Contributor

Raspberry Pi - "illegal instruction"

Yesterday I started experimenting with hamachi on my raspberry pi zero, but can't login to hamachi, neither hamachi command is working. I always get "illegal instruction".

 

raspbian status: Linux raspberrypi 4.14.79+ #1159 Sun Nov 4 17:28:08 GMT 2018 armv6l GNU/Linux

 

what I did:

sudo apt-get udpate

sudo apt-get install lsb-core
sudo apt-get -f install

sudo apt-get upgrade

sudo wget https://www.vpn.net/installers/logmein-hamachi_2.1.0.198-1_armhf.deb
sudo dpkg -i logmein-hamachi_2.1.0.198-1_armhf.deb

 

well my best guess why is -see screenshot below- or am I wrong?

install result.jpg

1 ACCEPTED SOLUTION

Accepted Solutions
New Contributor

Re: Raspberry Pi - "illegal instruction"

I had the same problem so I downloaded the "el" version and I forced the installation with --force-architecture.

This worked for me. I hope for you too.

 

LSB not required.

 

Bye

1 REPLY
New Contributor

Re: Raspberry Pi - "illegal instruction"

I had the same problem so I downloaded the "el" version and I forced the installation with --force-architecture.

This worked for me. I hope for you too.

 

LSB not required.

 

Bye